#!/bin/bash

#Script para Asiatizar tu Debian 
#Copyright Francisco Garcia Bernal, May, 2007

#	This program is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; either version 2 of the License, or
#	(at your option) any later version.

#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.

#	You should have received a copy of the GNU General Public License
#	along with this program; if not, write to the Free Software
#	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


printf "asiatizar_debian version 1, Copyright (C) 2007 Francisco Garcia Bernal\n"
printf "asiatizar_debian comes with ABSOLUTELY NO WARRANTY. This is free software, and you are welcome to redistribute it under certain conditions\n\n"

#funcion auxiliar para preguntas y/n
yn() {
printf " Reply [y/n]: "
read yn
[[ "$yn" != y ]] && [[ "$yn" != n ]] && yn
}


printf "Desea instalar las fuentes necesarias para mostrar correctamente Chino Simplificado, Chino Tradicional, Japones y Koreano?\n"
yn
if $yn = y
then 

# instalar metodos fuentes
#-----------------------------------------
sudo apt-get install kde-i18n-zhcn kde-i18n-zhtw kde-i18n-ko kde-i18n-ja
sudo apt-get install ttf-arphic-bkai00mp ttf-arphic-bsmi00lp ttf-arphic-gbsn00lp ttf-arphic-gkai00mp ttf-arphic-uming ttf-kochi-gothic-naga10
sudo apt-get install xfonts-naga10
fi 

printf "Desea instalar los metodos de entradas de Chino Simplificado, Chino Tradicional, Japones y Koreano\n"
yn
if $yn = y  
then
	sudo apt-get install uim anthy scim-gtk2-immodule scim-uim scim-chinese scim-hangul scim-tables-zh scim-tables-ja scim-tables-ko
	sudo touch /etc/X11/Xsession.d/74custom-scim_startup
	sudo chmod 646 /etc/X11/Xsession.d/74custom-scim_startup
	echo 'export XMODIFIERS="@im=SCIM"' >> /etc/X11/Xsession.d/74custom-scim_startup
	echo 'export GTK_IM_MODULE="scim"' >> /etc/X11/Xsession.d/74custom-scim_startup
	echo 'export XIM_PROGRAM="scim -d"' >> /etc/X11/Xsession.d/74custom-scim_startup
	echo 'export QT_IM_MODULE="scim"' >> /etc/X11/Xsession.d/74custom-scim_startup
	sudo chmod 644 /etc/X11/Xsession.d/74custom-scim_startup
	
	printf "Va a usar usted KDE?\n"
	yn
	if $yn=y 
	then
		sudo touch .kde/Autostart/startscim
		echo '"#!/bin/sh"' >> .kde/Autostart/startscim
	fi
fi


# So if you want to also input in KDE apps while using GNOME do the following:
printf "Desea usted activar la posibilidad de introducir texto asiatico en aplicaciones de KDE mientras esta usando GNOME?\n"
yn
if $yn = y
then
	sudo touch ~/.gnome2/session-manual
	echo "[Default]" >> ~/.gnome2/session-manual
	echo "num_clients=1" >> ~/.gnome2/session-manual
	echo "0,RestartStyleHint=3" >> ~/.gnome2/session-manual
	echo "0,Priority=50" >> ~/.gnome2/session-manual
	echo "0,RestartCommand=scim -d" >> ~/.gnome2/session-manual
	echo "0,Program=scim" >> ~/.gnome2/session-manual
fi


# instalar diccionarios
#----------------------
printf "desea instalar los diccionarios?\n"
yn
if $yn = y
then
	sudo apt-get install stardic
	sudo apt-get install stardict
	sudo apt-get install kdeedu 	#contiene Kiten (diccionario de japones)
fi


#instalar diccionarios adicionales para StarDict epaquetados y distribuidos por mi
printf "Por defecto, stardict no instala ningun fichero adicional de diccionarios. Si usted posee tambien el paquete stardict-zh-ja-dictionaries_1.0.0-2_all.deb preparado por el autor, tiene la posibilidad de instalar numerosos diccionarios de Chino y Japones. Desea instalarlos ahora?\n"
yn
if $yn = y 
then 
	sudo dpkg -i stardict-zh-ja-dictionaries_1.0.0-2_all.deb
fi

# instalar paquetes necesarios para openoffice
#---------------------------------------------
printf "Instalar paquetes para OpenOffice?\n"
yn
if $yn = y
then
	sudo apt-get install openoffice.org-l10n-zh-cn openoffice.org-l10n-zh-tw
	sudo apt-get install openoffice.org-l10n-ja
	# tras instalar esto, abrir openoffice e ir a: 
#	- Herramientas/Opciones/Configuracion de idioma/idiomas y marcar "habilitado para los idiomas asiaticos" y establecer los idiomas predeterminados
#	- Herramientas/Opciones/OpenOffice.org Writer/fuentes predeterminadas (asiaticas) y cambiar las fuentes a una china o japonesa segun lo que uses mas
fi

# paquetes para iceweasel
#------------------------
printf "Instalar paquetes para iceweasel?\n"
yn
if $yn = y 
then
	sudo apt-get install iceweasel-l10n-zh-tw iceweasel-l10n-zh-cn
	sudo apt-get install iceweasel-l10n-ja
fi

# paquetes idiomaticos para otras aplicaciones
#---------------------------------------------
printf "instalar paquetes adicionales para otras aplicaciones?\n"
yn
if $yn = y
then
	sudo apt-get install xpdf-japanese
	sudo apt-get install kde-i18n-ja
fi

# otras aplicaciones
#-------------------
printf "Instalar programas de estudio de caracteres, ajedrez japones, igo, ...?\n"
yn
if $yn = y 
then
	sudo apt-get install hanzim  
	sudo apt-get install xshodo xjdic edict gnushogi gnushogi kanatest kanjidic xshogi
fi

# podcast receiver 
#-----------------
printf "Desea instalar el podcast receiver (hpodder) y aadir los feeds de Chinesepod (www.chinesepod.com) y japanesepod101 (www.japanesepod101.com)?\n"
yn
if $yn = y 
then
	sudo apt-get install hpodder
	# configurar hpodder (ejecutar como usuario normal) 
	echo a continuacion configura la ruta donde quieres que se descarguen los podcasts de chino y japones a hpodder
	# aadir podcasts de Chino y Japones
	hpodder add http://chinesepod.com/learnchinese/feed/
	hpodder add http://www.japanesepod101.com/feed/
	#Business english podcast. Descomenta la siguiente linea si quieres aadirlo tambien
	#hpodder add http://www.ondemand-english.com/podcast_all.php
	hpodder update  #actualiza la lista de episodios para descargar, pero no descarga nada aun 
fi

# Copiar a escritorio accesos directos a los programas interesantes (faltan por aadir unos cuantos)
#---------------------------------------------------------------------------------------------------
printf "aadir iconos de acceso directo al escritorio para las principales aplicaciones?\n"
yn
if $yn = y then
	ln -s /usr/share/applications/kanatest.desktop Desktop/kanatest.desktop
	ln -s /usr/share/applications/stardict.desktop Desktop/stardict.desktop
	ln -s /usr/share/applications/kde/kiten.desktop Desktop/kiten.desktop
	ln -s /usr/share/applications/xshogi.desktop Desktop/xshogi.desktop
	ln -s /usr/share/applications/kde/kvoctrain.desktop Desktop/kvoctrain.desktop
fi

# instalar java
#--------------
# OJO, ejecutar esta parte como usuario normal, de lo contrario no os permitira generar el paquete

apt-get install fakeroot java-package
fakeroot make-jpkg jre-6u1-linux-i586.bin
sudo dpkg -i jre-6u1-linux-i586.deb

#linkar el plugin para firefox/iceweasel (esto de momento no me ha servido, lo dejo para mirarlo luego)
#ln -a /usr/lib/jre1.6.0_01/plugin/i386/ns7/libjavaplugin_oji.so ~/.mozilla/plugins/


# instalar Cgoban 3 (Java Web Start)
#/usr/java/jre1.6.0_01/bin/javaws http://files.gokgs.com/javaBin/cgoban.jnlp


#addons para iceweasel
	#diccionario pop-up Chino (tradicional y simplificado)
#	iceweasel https://addons.mozilla.org/en-US/firefox/downloads/file/11431/chinesepera-kun-0.2.2-fx+tb.xpi
	#diccionario pop-up Japones	

